from odoo import models, fields, api
from odoo.exceptions import UserError, ValidationError, Warning
from psycopg2 import sql, DatabaseError

from werkzeug import utils


class partner(models.Model):
    _inherit = 'res.partner'

    statut=fields.Selection([('adherent', 'Adhérent'), ('bienfaiteur', 'Bienfaiteur'),('contact', 'Contact'), ('soutien','Soutien') ],'Statut', required=True, index=True)
    date_contact_joomla=fields.Date(string='Date joomla de création du contact', readonly=True)
    origine=fields.Selection([
       ('Boutique','Boutique'),
            ('Visiteur','Visiteur'),
            ('Vincennes','Vincennes'),
            ('Bercy','Bercy'),
            ('Salon Zen','Salon Zen'),
            ('Autre','Autre'),
            ('Internet Boutique','Internet Boutique'),
            ('Conf M Ricard','Conf M Ricard'),
            ('Visite lzr 09','Visite lzr 09'),
            ('Retraite','Retraite'),
            ('Amis','Amis'),
            ('Centre FPMT','Centre FPMT'),
            ('Site réservations','Site réservations'),
            ('Réservations','Réservations'),
            ('Voyage inde','Voyage inde'),
            ('Internet','Internet'),
            ('Librairie','Librairie'),
            ('Site internet boutique','Site internet boutique'),
            ('Portes ouvertes st cosme','Portes ouvertes st cosme'),
            ('T','T'),
            ('maitreya','maitreya'),
            ('Zen','Zen'),
            ('Lille','Lille'),
            ('Alan wallace','Alan wallace'),
            ('Salon Rouen','Salon Rouen'),
            ('Stage','Stage'),
            ('B.Actualit','B.Actualit'),
            ('B. Actualit','B. Actualit'),
            ('R','R'),
            ('Institut vy','Institut vy'),
            ('Initiation kalachakr','Initiation kalachakr'),
            ('Yoga','Yoga'),
            ('Samsara','Samsara'),
            ('missun@gmail.com','missun@gmail.com'),
            ('Reliques','Reliques'),
            ('Journal m','Journal m'),
            ('Nantes','Nantes'),
            ('retraite vipassana','retraite vipassana'),
            ('Presse bouddhiste','Presse bouddhiste'),
            ('Réservtions','Réservtions'),
            ('Réservation','Réservation'),
            ('Site','Site'),
            ('Question mail','Question mail'),
            ('interreligieux','interreligieux'),
            ('Refuge','Refuge'),
            ('zoom','zoom'),
                    ],'Origine', required=True, index=True)

    date_adhesion=fields.Date(string='Date adhesion', readonly=True)